package de.ivu.elect.business.wahl.entity;

import de.ivu.elect.jee.presentation.dynamicform.Property;

@javax.enterprise.inject.Vetoed
public class WahldurchfuehrungProperties
extends de.ivu.elect.business.wahl.entity.WahlProperties
{

private final Wahldurchfuehrung entity;


    
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.stimmeingabe.entity.Ergebniseingangsart>
                  ergebniseingangsartProperty;

                private de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.stimmeingabe.entity.Ergebniseingangsart> ergebniseingangsartMitLeererAuswahlProperty;
        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.WahlartSitzberechnungsalgorithmus>
                  sitzberechnungsalgorithmusProperty;

                private de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.WahlartSitzberechnungsalgorithmus> sitzberechnungsalgorithmusMitLeererAuswahlProperty;
        
    

public WahldurchfuehrungProperties(Wahldurchfuehrung entity) {
super(entity);
this.entity = entity;

}

private static WahldurchfuehrungMeta getMetaData() {
return de.ivu.elect.jee.cdi.BeanManagerUtil.getBeanByClass( WahldurchfuehrungMeta.class);
}


    

        public
                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.stimmeingabe.entity.Ergebniseingangsart>
                getErgebniseingangsartProperty() {
        if (ergebniseingangsartProperty == null) {
        ergebniseingangsartProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
        
        (
        getMetaData().getErgebniseingangsartEinzahlMessage(),
        getMetaData().getErgebniseingangsartDefaultValue(),
        getMetaData().isErgebniseingangsartRequired(),
                entity::setErgebniseingangsart,
        entity::getErgebniseingangsart

                    , de.ivu.elect.business.stimmeingabe.entity.Ergebniseingangsart.class,
            java.util.Arrays.asList(de.ivu.elect.business.stimmeingabe.entity.Ergebniseingangsart.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                );

        }


        return ergebniseingangsartProperty;
        }





        

            public de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.stimmeingabe.entity.Ergebniseingangsart> getErgebniseingangsartMitLeererAuswahlProperty() {
               if (ergebniseingangsartMitLeererAuswahlProperty == null) {
                 ergebniseingangsartMitLeererAuswahlProperty = new
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
                    (
                        getMetaData().getErgebniseingangsartEinzahlMessage(),
        				getMetaData().getErgebniseingangsartDefaultValue(),
                        getMetaData().isErgebniseingangsartRequired(),
                        entity::setErgebniseingangsart,
                        entity::getErgebniseingangsart
                        , de.ivu.elect.business.stimmeingabe.entity.Ergebniseingangsart.class,
                        java.util.Arrays.asList(de.ivu.elect.business.stimmeingabe.entity.Ergebniseingangsart.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                        ,true
                    );
            }

               return ergebniseingangsartMitLeererAuswahlProperty;
            }
        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.WahlartSitzberechnungsalgorithmus>
                getSitzberechnungsalgorithmusProperty() {
        if (sitzberechnungsalgorithmusProperty == null) {
        sitzberechnungsalgorithmusProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
        
        (
        getMetaData().getSitzberechnungsalgorithmusEinzahlMessage(),
        getMetaData().getSitzberechnungsalgorithmusDefaultValue(),
        getMetaData().isSitzberechnungsalgorithmusRequired(),
                entity::setSitzberechnungsalgorithmus,
        entity::getSitzberechnungsalgorithmus

                    , de.ivu.elect.business.wahl.entity.WahlartSitzberechnungsalgorithmus.class,
            java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.WahlartSitzberechnungsalgorithmus.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                );

        }


        return sitzberechnungsalgorithmusProperty;
        }





        

            public de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.wahl.entity.WahlartSitzberechnungsalgorithmus> getSitzberechnungsalgorithmusMitLeererAuswahlProperty() {
               if (sitzberechnungsalgorithmusMitLeererAuswahlProperty == null) {
                 sitzberechnungsalgorithmusMitLeererAuswahlProperty = new
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
                    (
                        getMetaData().getSitzberechnungsalgorithmusEinzahlMessage(),
        				getMetaData().getSitzberechnungsalgorithmusDefaultValue(),
                        getMetaData().isSitzberechnungsalgorithmusRequired(),
                        entity::setSitzberechnungsalgorithmus,
                        entity::getSitzberechnungsalgorithmus
                        , de.ivu.elect.business.wahl.entity.WahlartSitzberechnungsalgorithmus.class,
                        java.util.Arrays.asList(de.ivu.elect.business.wahl.entity.WahlartSitzberechnungsalgorithmus.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                        ,true
                    );
            }

               return sitzberechnungsalgorithmusMitLeererAuswahlProperty;
            }
        
        }